ClarisWksTextInternal::Zone Struct Reference documentation

ClarisWksTextInternal::Zone Struct Referencefinal
Inheritance diagram for ClarisWksTextInternal::Zone:

## Public Member Functions
| Zone (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| constructor
| ~Zone () final
| destructor
void | removeChild (int cId, bool normalChild) final
| remove a child from a list.
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor
| DSET (DSET const &)=default
virtual | ~DSET ()
| virtual destructor
bool | isHeaderFooter () const
| test if the zone is an header/footer
bool | isSlide () const
| test if the zone is a slide
MWAWBox2f | getBdBox () const
| return the zone bdbox
int | getMaximumPage () const
| returns the maximum page
virtual void | removeChild (int cId)
| virtual function to remove a child from a list
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box)

## Public Attributes
std::vector< MWAWEntry > | m_zones
int | m_numChar
| the number of char in text zone
int | m_numTextZone
| the number of text zone ( ie.
int | m_numParagInfo
| the number of paragraph info
int | m_numFont
| the number of font
int | m_fatherId
| the father id
int | m_unknown
| an unknown flags
std::vector< MWAWFont > | m_fontList
| the list of fonts
std::vector< ParagraphPLC > | m_paragraphList
| the list of paragraph
std::vector< Section > | m_sectionList
| the list of section
std::vector< Token > | m_tokenList
| the list of token
std::vector< TextZoneInfo > | m_textZoneList
| the list of zone
std::multimap< long, PLC > | m_plcMap
| the plc map
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header
long | m_numData
| the number of header
long | m_dataSz
| the data size
long | m_headerSz
| the header size
Position | m_position
| the zone type
int | m_fileType
| the type ( 0: text, -1: graphic, ...)
int | m_page
| the page (if known)
MWAWBox2f | m_box
| the bounding box (if known)
MWAWVec2f | m_pageDimension
| the page dimension (if know)
int | m_id
| the zone identificator
std::set< int > | m_fathersList
| the list of fathers
int | m_beginSelection
| the begin of selection ( at least in text header)
int | m_endSelection
| the end of selection ( at least in text header)
int | m_textType
| the text type (header/footer,footnote, ...)
int | m_flags [4]
| some unknown flag
std::vector< Child > | m_childs
| the list of child zone
std::vector< int > | m_otherChilds
| the list of other child
bool | m_parsed
| a flag to know if the entry is sent or not to the listener
int | m_internal
| an internal variable used to do some computation

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &doc)
| operator<<

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0 , P_Header , P_Footer , P_Frame , P_Footnote , P_Table , P_GraphicMaster , P_Slide , P_SlideNote , P_SlideThumbnail , P_SlideMaster , P_Unknown }
| the zone position More...
enum | ChildType { C_Zone , C_SubText , C_Graphic , C_Unknown }
| the different types of zone child More...

## Constructor & Destructor Documentation

## ◆ Zone()

ClarisWksTextInternal::Zone::Zone | ( | ClarisWksStruct::DSET const & | dset = ClarisWksStruct::DSET() | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## ◆ ~Zone()

ClarisWksTextInternal::Zone::~Zone | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ removeChild()

void ClarisWksTextInternal::Zone::removeChild | ( | int | cId,
|  | bool | normalChild )
| inlinefinalvirtual

remove a child from a list.

Normally, this function is not called, so optimizing it is not usefull

Reimplemented from ClarisWksStruct::DSET.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | doc )
| friend

operator<<

## Member Data Documentation

## ◆ m_fatherId

int ClarisWksTextInternal::Zone::m_fatherId

the father id

Referenced by Zone().

## ◆ m_fontList

std::vector<MWAWFont> ClarisWksTextInternal::Zone::m_fontList

the list of fonts

Referenced by ClarisWksText::readFonts(), ClarisWksText::sendText(), and Zone().

## ◆ m_numChar

int ClarisWksTextInternal::Zone::m_numChar

the number of char in text zone

Referenced by Zone().

## ◆ m_numFont

int ClarisWksTextInternal::Zone::m_numFont

the number of font

Referenced by Zone().

## ◆ m_numParagInfo

int ClarisWksTextInternal::Zone::m_numParagInfo

the number of paragraph info

Referenced by Zone().

## ◆ m_numTextZone

int ClarisWksTextInternal::Zone::m_numTextZone

the number of text zone ( ie.

number of page ? )

Referenced by Zone().

## ◆ m_paragraphList

std::vector<ParagraphPLC> ClarisWksTextInternal::Zone::m_paragraphList

the list of paragraph

Referenced by ClarisWksText::findListId(), ClarisWksText::readParagraphs(), ClarisWksText::sendText(), and Zone().

## ◆ m_plcMap

std::multimap<long, PLC> ClarisWksTextInternal::Zone::m_plcMap

the plc map

Referenced by ClarisWksText::findListId(), ClarisWksText::readFonts(), ClarisWksText::readParagraphs(), ClarisWksText::readTextSection(), ClarisWksText::readTextZoneSize(), ClarisWksText::readTokens(), ClarisWksText::sendText(), and Zone().

## ◆ m_sectionList

std::vector<Section> ClarisWksTextInternal::Zone::m_sectionList

the list of section

Referenced by ClarisWksText::canSendTextAsGraphic(), ClarisWksText::readTextSection(), ClarisWksText::sendText(), and Zone().

## ◆ m_textZoneList

std::vector<TextZoneInfo> ClarisWksTextInternal::Zone::m_textZoneList

the list of zone

Referenced by ClarisWksText::readTextZoneSize(), and Zone().

## ◆ m_tokenList

std::vector<Token> ClarisWksTextInternal::Zone::m_tokenList

the list of token

Referenced by ClarisWksText::canSendTextAsGraphic(), ClarisWksText::readTokens(), removeChild(), ClarisWksText::sendText(), and Zone().

## ◆ m_unknown

int ClarisWksTextInternal::Zone::m_unknown

an unknown flags

Referenced by Zone().

## ◆ m_zones

std::vector<MWAWEntry> ClarisWksTextInternal::Zone::m_zones

Referenced by ClarisWksText::sendText(), and Zone().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx